## iw-0.9.3.tar.gz

=== Makefile ===
-include .config

MAKEFLAGS += --no-print-directory

INSTALL ?= install
PREFIX ?= /usr
CC ?= "gcc"
CFLAGS += -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration `pkg-config --cflags libnl-1`
CFLAGS += -O2 -g
LDFLAGS += `pkg-config --libs libnl-1`
NLVERSION = 1.0

OBJS = iw.o info.o phy.o interface.o station.o util.o mpath.o reg.o
ALL = iw

ifeq ($(V),1)
Q=
NQ=true
else
Q=@
NQ=echo
endif

all: version_check $(ALL)

version_check:
	@if ! pkg-config --atleast-version=$(NLVERSION) libnl-1; then echo "You need at least libnl version $(NLVERSION)"; exit 1; fi


version.h: version.sh
	@$(NQ) ' GEN  version.h'
	$(Q)./version.sh

%.o: %.c iw.h version.h
	@$(NQ) ' CC  ' $@
	$(Q)$(CC) $(CFLAGS) -c -o $@ $<

iw:	$(OBJS)
	@$(NQ) ' CC  ' iw
	$(Q)$(CC) $(LDFLAGS) $(OBJS) -o iw

check:
	$(Q)$(MAKE) all CC="REAL_CC=$(CC) CHECK=\"sparse -Wall\" cgcc"

%.gz: %
	@$(NQ) ' GZIP' $<
	$(Q)gzip < $< > $@

install: iw iw.8.gz
	@$(NQ) ' INST iw'
	$(Q)$(INSTALL) -o root -g root -t $(PREFIX)/bin iw
	@$(NQ) ' INST iw.8'
	$(Q)$(INSTALL) -o root -g root -t $(PREFIX)/share/man/man8/ iw.8.gz

clean:
	$(Q)rm -f iw *.o *~ *.gz version.h

=== debian/control ===
Source: iw
Section: net
Priority: optional
Maintainer: Johannes Berg <johannes@sipsolutions.net>
Build-Depends: debhelper (>= 6), libnl-dev (>= 1.1), pkg-config (>= 0.22)
Standards-Version: 3.8.0
Homepage: http://wireless.kernel.org/en/users/Documentation/iw

Package: iw
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for configuring Linux wireless devices
 This package contains the `iw' tool which allows you to
 configure and show information about wireless networking.
 The tool is currently mainly used for drivers based on
 the mac80211 stack but work is under way to make it useful
 for other drivers as well.
Tag: admin::kernel, implemented-in::c, interface::commandline, network::configuration, role::program, scope::utility, use::configuring

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PREFIX=$(CURDIR)/debian/iw/usr/

configure: configure-stamp
configure-stamp:
	dh_testdir
	cat defconfig | grep -v PLUGINNAME > .config

	touch configure-stamp


#Architecture 
build: build-arch

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp  
	$(MAKE)

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp configure-stamp

	rm -f .config

	$(MAKE) clean

	dh_clean 

install: install-arch
install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	mkdir -p $(PREFIX)/bin
	mkdir -p $(PREFIX)/share/man/man8
	$(MAKE) install PREFIX=$(PREFIX)

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary-indep:

binary: binary-arch
.PHONY: build clean binary-arch binary install install-arch configure
